RpcMgtMBean (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.ipc.metrics
Interface RpcMgtMBean

    public interface RpcMgtMBean

This is the JMX management interface for the RPC layer. Many of the statistics are sampled and averaged on an interval which can be specified in the metrics config file.

For the statistics that are sampled and averaged, one must specify a metrics context that does periodic update calls. Most do. The default Null metrics context however does NOT. So if you aren't using any other metrics context then you can turn on the viewing and averaging of sampled metrics by specifying the following two lines in the hadoop-meterics.properties file:

            rpc.class=org.apache.hadoop.metrics.spi.NullContextWithUpdateThread
            rpc.period=10

Note that the metrics are collected regardless of the context used. The context with the update thread is used to average the data periodically

Method Summary
`int` | `getCallQueueLen()` The number of rpc calls in the queue.
`int` | `getNumOpenConnections()` The number of open RPC conections
`long` | `getRpcOpsAvgProcessingTime()` Average time for RPC Operations in last interval
`long` | `getRpcOpsAvgProcessingTimeMax()` The Maximum RPC Operation Processing Time since reset was called
`long` | `getRpcOpsAvgProcessingTimeMin()` The Minimum RPC Operation Processing Time since reset was called
`long` | `getRpcOpsAvgQueueTime()` The Average RPC Operation Queued Time in the last interval
`long` | `getRpcOpsAvgQueueTimeMax()` The Maximum RPC Operation Queued Time since reset was called
`long` | `getRpcOpsAvgQueueTimeMin()` The Minimum RPC Operation Queued Time since reset was called
`int` | `getRpcOpsNumber()` Number of RPC Operations in the last interval
`void` | `resetAllMinMax()` Reset all min max times

Method Detail

### getRpcOpsNumber

    int getRpcOpsNumber()

  Number of RPC Operations in the last interval

  Returns:
    number of operations

### getRpcOpsAvgProcessingTime

    long getRpcOpsAvgProcessingTime()

  Average time for RPC Operations in last interval

  Returns:
    time in msec

### getRpcOpsAvgProcessingTimeMin

    long getRpcOpsAvgProcessingTimeMin()

  The Minimum RPC Operation Processing Time since reset was called

  Returns:
    time in msec

### getRpcOpsAvgProcessingTimeMax

    long getRpcOpsAvgProcessingTimeMax()

  The Maximum RPC Operation Processing Time since reset was called

  Returns:
    time in msec

### getRpcOpsAvgQueueTime

    long getRpcOpsAvgQueueTime()

  The Average RPC Operation Queued Time in the last interval

  Returns:
    time in msec

### getRpcOpsAvgQueueTimeMin

    long getRpcOpsAvgQueueTimeMin()

  The Minimum RPC Operation Queued Time since reset was called

  Returns:
    time in msec

### getRpcOpsAvgQueueTimeMax

    long getRpcOpsAvgQueueTimeMax()

  The Maximum RPC Operation Queued Time since reset was called

  Returns:
    time in msec

### resetAllMinMax

    void resetAllMinMax()

  Reset all min max times

### getNumOpenConnections

    int getNumOpenConnections()

  The number of open RPC conections

  Returns:
    the number of open rpc connections

### getCallQueueLen

    int getCallQueueLen()

  The number of rpc calls in the queue.

  Returns:
    The number of rpc calls in the queue.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation